
          // Retrieve the saved table data from localStorage
          
        
          /*if (savedTable) {
            // Unpack and insert the saved table data into the form
            const form = document.querySelector('form');
        
            // Assuming you have an element inside the form with the ID "tabla" where you want to insert the saved table
            const tableContainer = form.querySelector('#tabla');
        
            if (tableContainer) {
              tableContainer.innerHTML = savedTable;
            }
          }*/
        
          // Access and log the contents of the "tabla" variable
        const numletra  = localStorage.getItem('capital_letra');
        console.log(numletra)
        document.getElementById('capital_letra').textContent = numletra
        const tasaletra  = localStorage.getItem('tasa_letra');
        console.log(tasaletra)
        document.getElementById('tasa_letra').textContent = tasaletra
          const capital = localStorage.getItem('kapital');
          const desembolso = localStorage.getItem('pagos_total');
          console.log(capital)
          kapital = parseFloat(capital).toFixed(2).toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
          document.getElementById('capital').textContent = kapital;
          document.getElementById('capital2').textContent = desembolso;
          document.getElementById('capital3').textContent = desembolso;
          const fecha_vencimiento = localStorage.getItem('f_vencimiento');
          document.getElementById('fecha_vencimiento').textContent = fecha_vencimiento;

          const tabla = localStorage.getItem('tabla');
          console.log(tabla);
          document.getElementById('tabla').innerHTML = tabla;
          document.getElementById('tabla2').innerHTML = tabla;
          const fecha_inicio = localStorage.getItem('fecha_inicio2')
          document.getElementById('fecha_inicio3').textContent = fecha_inicio;
          const pagop = localStorage.getItem('payment')
          document.getElementById('pago_parcial').textContent = pagop;
          const com = localStorage.getItem('comision')
          document.getElementById('com').textContent = com + "% más I.V.A."
          const per = localStorage.getItem('per')
          document.getElementById('periodicidad').textContent = per
          document.getElementById('periodicidad2').textContent = per
          const rate = localStorage.getItem('interest_rate')
          document.getElementById('tasa').textContent = parseFloat(rate).toFixed(2) + "% anual más I.V.A."
          document.getElementById('tasa2').textContent = parseFloat(rate).toFixed(2) + "% anual más I.V.A."
          const n = localStorage.getItem('n')
          document.getElementById('parcialidades').textContent = n
          document.getElementById('parcialidades2').textContent = n
          //localStorage.setItem( 'fecha_inicio', fecha_inicio );
          
            //const form = document.getElementById('myForm');
            const formDataJSON = localStorage.getItem('formData');
    
        if (formDataJSON) {
            // Deserialize the form data
            const formData = JSON.parse(formDataJSON);
            //unpack single variables:
            // Unpack the acreditante variable
            const acreditante = formData.acreditante;
            //const apoderado = formData.apoderado
            // Now, you can use the 'acreditante' variable within your script as needed
            // For example, you can use it to populate a display element with the ID 'acreditante_display'
            const acreditanteDisplay = document.getElementById('acreditante_display');
            //const apoderadoDisplay = document.getElementById('apoderado_display')
            if (acreditanteDisplay) {
                acreditanteDisplay.textContent = acreditante;
            }
            //if (apoderadoDisplay) {
            //    apoderadoDisplay.textContent = apoderado;
            //}
                // Unpack the variables
            const apoderado = formData.apoderado;
            const denominacion = formData.denominacion;
            document.getElementById('denominacion').textContent = denominacion.textContent
            const apoderadoAcreditada = formData.apoderado_acreditada;
            const obligadoSolidario = formData.obligado_solidario;
            const numeroAnexo = formData.numero_anexo;
            const numeroContrato = formData.numero_contrato;
        
           // Now, you can use these variables within your script as needed
            // For example, to populate display elements with corresponding IDs
        
            // Example for 'apoderado':
            
            const apoderadoDisplay = document.getElementById('apoderado_display');
            document.getElementById('acreditante2').textContent = acreditanteDisplay.textContent
            
            //document.getElementById('denominacion3').textContent = denominacion.textContent
            
            //document.getElementById('apoderado2').textContent = apoderado.textContent
            //document.getElementById('obligado2').textContent = obligadoSolidario.textContent
            if (apoderadoDisplay) {
                apoderadoDisplay.textContent = apoderado;
            }
            // Example for 'denominacion':
            const denominacionDisplay = document.getElementById('denominacion_display');            
            if (denominacionDisplay) {
                denominacionDisplay.textContent = denominacion;
            }

            const acreditada = document.getElementById('denominacion');            
            if (acreditada) {
                acreditada.textContent = denominacion
            }
            const acreditada2 = document.getElementById('denominacion2');            
            if (acreditada2) {
                acreditada2.textContent = denominacion
            }
        
            // Repeat the process for the other variables
        
            // Example for 'apoderado_acreditada':
            const apoderadoAcreditadaDisplay = document.getElementById('apoderado_acreditada_display');
            if (apoderadoAcreditadaDisplay) {
                apoderadoAcreditadaDisplay.textContent = apoderadoAcreditada;
            }

            const apoderado2 = document.getElementById('apoderado2');
            if (apoderado2) {
                apoderado2.textContent = apoderadoAcreditada;
            }
        
            // Example for 'obligado_solidario':
            const obligadoSolidarioDisplay = document.getElementById('obligado_solidario_display');
            if (obligadoSolidarioDisplay) {
                obligadoSolidarioDisplay.textContent = obligadoSolidario;
            }

            const obligado = document.getElementById('obligado');
            if (obligado) {
                obligado.textContent = obligadoSolidario;
            }
            // Example for 'numero_anexo':
            const numeroAnexoDisplay = document.getElementById('numero_anexo_display');
            if (numeroAnexoDisplay) {
                numeroAnexoDisplay.textContent = numeroAnexo;
            }
        
            // Example for 'numero_contrato':
            const numeroContratoDisplay = document.getElementById('numero_contrato_display');
            if (numeroContratoDisplay) {
                numeroContratoDisplay.textContent = numeroContrato;
            }
    
        // You can use these variables again in any other part of your script
    
            
            //Give a little bit of format to the date of contract signature
            var options = { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' };
            const date = new Date(formData.fecha_firma.replace(/-/g, '\/'));
            const formattedDate = date.toLocaleDateString('es-ES', options);
            document.getElementById('display_fecha_firma').textContent = formattedDate
            // Define an array of form field names (make sure they match your field names)
            const formFields = [
                'numero_anexo',
                'numero_contrato',
                //'fecha_firma',
                'acreditante',
                'apoderado',
                'denominacion',
                'apoderado_acreditada',
                'obligado_solidario',
                'bien1_folio',
                'bien1_descripcion',
                'bien1_accesorios',
                'bien1_observaciones',
                'bien1_precio',
                'bien1_cantidad',
                'bien2_folio',
                'bien2_descripcion',
                'bien2_accesorios',
                'bien2_observaciones',
                'bien2_precio',
                'bien2_cantidad',
                'moneda',
                'destino',
                'comision_pagoanticipado',
                //'extrajudicial',
                'comision_reestructuracion',
                //'pena_convencional',
                'tir_letra',
                'banco',
                'CLABE',
                'cuenta',
                'domicilio_acreditante',
                'ciudad_anexo',
                'ciudad_firma'
            ];
    
            // Loop through the form field names and populate the corresponding display elements
            formFields.forEach(fieldName => {
                const displayElement = document.getElementById('display_' + fieldName);
                if (displayElement) {
                    displayElement.textContent = formData[fieldName];
                }
            });
        }
